WMBIFF(1)

NAME
WMBiff - A dockable Mailbox Monitor

SYNOPSIS
wmbiff [-display <display name>] [-geometry +XPOS+YPOS] [-c <filename>] [-h] [-v] [-debug] [-fg <foreground-color>] [-bg <background-color>] [-hi <highlight-color>] [-font <X11 font>|default] [-o] [+w]

DESCRIPTION
WMbiff displays the status of up to five mailboxes. It shows the number of new mail messages, if any, otherwise 0. In classic mode instead of 0 it shows the total number of messages. It also has mail retrieval capabilities, and can be configured to do this automatically. At the moment, UNIX-style, maildir, POP3, APOP and IMAP4 mailboxes are supported. The mailboxes are displayed in 5 different lines, each one with its own description of up to five chars. If no mail is present in a given mailbox, WMbiff will display the total number of mails in cyan. If there's new mail in the box, the number of new messages will be displayed in yellow. When new mail arrives, this number will optionally flash for a small period of time, and also optionally, a command can be executed on mail arrival (for example, opening your mail reader or playing a sound file). Pressing mouse button 1 will execute a command, defined in the user's config file. Mouse button 3 will execute a command to fetch mail, if defined. To restart wmbiff, press mouse button 1 while holding control and shift keys, or send it SIGUSR1.

OPTIONS

-h  Show summary of options.

-v  Show version of program.

-display <display name>
    Use an alternate X Display.

-geometry <geometry>
    Initial window position.

-c <filename>
    Use specified configuration file instead of ~/.wmbiffrc.

-debug
    Print verbose log of progress.

-fg <color>
    Use specified X11 color for foreground. Implies -font default, unless overridden.

-bg <color>
    Use specified X11 color for background. Implies -font default, unless overridden.

-hi <color>
    Use specified X11 color for new mail counters. Implies -font default, unless overridden.

-font <font>
    Use specified X11 font instead of the LED pixmap. This may be more readable or suitable for some non-US characters. The special font "default" tells wmbiff to use a compile time default.

-skip-certificate-check
    When using TLS (IMAPS), keep going, even if the server's certificate is invalid. Invalid certificates have expired, have a different hostname than you connected to, are corrupt, or have been revoked. Do not use this option unless wmbiff fails and suggests it to you, and even then, be careful and consider alerting your mail system administrator first. The need to use this option is a sign of server misconfiguration.

-relax
    Assume the configuration is correct, parse it without paranoia, and assume hostnames are okay.

-o  Enable classical mode look and behaviour: shows the number of new mail messages, if any, or the total number of messages. This option also enables the special keyword "beep" (disabled by default).

+w  Do not use the "withdrawn" state: the wmbiff window will not be captured as an icon and placed in the dock, but will instead have its own window. This option starts with a '+' for consistency with other software programs: many use '-w' to mean the opposite.

BUGS
Send bug reports or suggestions to the Window Maker Development Mailing List <wmaker-dev@googlegroups.com>. Consider attaching a transcript of your session, generated using:
    wmbiff -debug | tee wmbiff-log
Be sure to remove any instances of your password.

FILES

~/.wmbiffrc
    peruser wmbiff configuration file.

AUTHOR
This manual page was written by Jordi Mallach <jordi@sindominio.net>, originally for the Debian system (but may be used by others).
WMBiff was first maintained by Gennady Belyakov. Since January 2001 it is maintained group of people that have added lots of new features to the original program. Please see the README document for a list of all the people involved.

SEE ALSO
wmbiffrc(5)
/usr/share/doc/wmbiff/examples/sample.wmbiffrc (or equivalent for your system)